Livrable/Gestionnaire_de_Projets/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Auth::routes();

Route::get('notif', function(){
});
Route::get('/user/notif/seen/{data}','HomeController@notifSeen')->name('user.notif.seen');
Route::get('/admin/register', 'HomeController@adminRegisterIndex')->name('admin.register.index');//->middleware('admin')
Route::post('/admin/register/save', 'HomeController@firstAdminStore')->name('admin.register.save');

Route::get('/register', 'UserController@registerIndex')->name('register.index');/*->middleware('can:create,App\User');*/
Route::get('/register/save', 'UserController@store')->name('register.save');

Route::get('/', 'HomeController@index')->name('home.index');

Route::resource('Projects','ProjectController');
Route::resource('Tasks','TaskController');

Route::get('/{id}/myProjects','ProjectController@ManagerProjets')->name('Project.ManagerProjets');

Route::match(['PUT', 'PATCH'],'/Tasks/{id}/save','TaskController@updateProgress')->name('Tasks.updateProgress');
//Route::match(['PUT', 'PATCH'], '/Tasks/{id}/add/{empid}',)->name('Tasks.addEmployee');
Route::get('Tasks/delete/{id}/{empid}','TaskController@deleteEmployee')->name('Tasks.deleteEmployee');
Route::get('Tasks/add/{id}/{empid}','TaskController@addEmployee')->name('Tasks.addEmployee');

Route::get('/{id}/myTasks','TaskController@MyTasks')->name('Tasks.MyTasks');
Route::get('/addTask/{id_proj}','TaskController@addTaskToPrj')->name('Tasks.addTaskToPrj');/* ~~ */

Route::resource('Clients','ClientController');
Route::resource('Users','UserController');
Route::get('User/editPassword','UserController@editPassword')->name('User.editPassword');
Route::match(['PUT', 'PATCH'],'User/updatePassword','UserController@updatePassword')->name('User.updatePassword');


Route::get('/Userprofile/{id}','UserController@showProfile')->name('User.Profile');
Route::post('/profile/{userID}','UserController@update_avatar')->name('User.updateAvatar');

Route::get('datatables/{name}', 'HomeController@index2')->name('datatables');
Route::get('datatables/getdata/{name}', 'HomeController@getData')->name('datatables.getdata');

// Route::get('ajaxdata/removedata/{name}', 'HomeController@removedata')->name('datatables.removedata');
Route::get('ajaxdata/massremove/{name}', 'HomeController@massremove')->name('datatables.massremove');
Route::get('calendar','CalendarController@index')->name('calendar.index');
Route::post('calendar','CalendarController@addProject')->name('calendar.addProject');
?>

Livrable/Gestionnaire_de_Projets/app/Task.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Task extends Model
{
  protected $fillable = [
       'title','limitDate','state',
       'progress','priority','comment','project_id'
         ];
    //
    /*
    * L'utilisateur qui est concerné par de nombreuses taches
   */
    public function users(){
        // return $this->belongsToMany('App\User','tache_user','tache_id','user_id')->withPivot('date_debut', 'date_fin');
     return $this->belongsToMany('App\User')->withPivot('startDate', 'finishDate');
    }

	public function projects(){
		return $this->belongsTo('App\Project');
	}
}

Livrable/Gestionnaire_de_Projets/app/Http/Controllers/TaskController.php
<?php
namespace App\Http\Controllers;
use Illuminate\Contracts\Auth\Authenticatable;
use App\User;
use App\Task;
use App\Project;
use App\Task_User;

use Session;
use Auth;

use Carbon\Carbon;

use Illuminate\Http\Request;
class TaskController extends Controller
{

  public function __construct(){

       $this->middleware('auth');
  }
    /**
     * Affiche une liste de la ressource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $ts = Task::all();
        foreach ($ts as $t) {
            //récupère le nom du projet auquel appartient la tâche en cours.
            $t->project_title=Project::find($t->project_id)->title;
            //obtenir l'état du projet
            $t->project_state=Project::find($t->project_id)->state;
            //obtenir le plus petit 'date_debut' que tous les utilisateurs ont sur la tâche en cours
            $t->d_d=Task_User::where('task_id',$t->id)
                ->min('startDate');
        }
        // dd($ts);
        return view('tasks.index' ,compact('ts'));
    }

        /**
         * Afficher une liste des tâches de l'employé ($id).
         *
         * @return \Illuminate\Http\Response
         */
        public function MyTasks($id)
        {

          $id_ts=Task_User::where('user_id','=',$id)->get(['task_id']);/*obtenir le tasks_id lié à user_id*/

              //foreach ($id_ts as $id_t) {/*for each task|user get :  */

              $ts=Task::whereIn('id', $id_ts)->get(); /*les infos de chaque tâche de la table des tâches*/

                  foreach ($ts as $t) {
                      //récupère le nom du projet auquel appartient la tâche en cours.
                      $t->project_title=Project::find($t->project_id)->title;
                      /*startDate & FinishDate ; dev en cours*/
                      $s_d=Task_User::where('user_id','=',$id)->where('task_id','=',$t->id)->get(['startDate']); /*start_date */
                      $f_d=Task_User::where('user_id','=',$id)->where('task_id','=',$t->id)->get(['finishDate']); /*end_date*/
                  }
              //}
            return view('tasks.mesTaches' ,compact('ts'));
        }
    /**
     * Montrer le formulaire pour créer une nouvelle ressource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
      /*--obtenir tous les employés libre--*/
      $employees=User::where('role','Like','EMPLOYEE')->get();
      $projects=Project::all();
      return view('tasks.create',compact('employees','projects'));
    }
    /**
     * Stocker une ressource nouvellement créée dans le stockage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
      $newTask = new Task([
            'title' => $request->title,
            'limitDate' => $request->limitDate,
            'state' =>'IN_PROGRESS',
            'progress' => 0,
            'priority' => ($request->priority_RadioBtn),
            'comment' => $request->comment,
            // 'user_id' =>$request->user_id[0],/*non stocké! l'utilisateur doit être associé à cette tâche*/
            'project_id'=>$request->project_id[0],
          ]);
      $newTask->save();// Eric <3

      $newTaskUser = new Task_User([
            'task_id' => $newTask->id,
            'user_id' => $request->user_id[0],
            'startDate' => $newTask->created_at,
            'finishDate' => null,
            'hoursCount' => 0,
            'needCalculating' => 0,
          ]);
      $newTaskUser->save();

      $newTask->title = 'task "' .$newTask->title.'" created';
      \Notification::send(User::find($request->user_id[0]), new \App\Notifications\UserNotification($newTask));

      flash('Tache créer avec succé !')->success();
      return redirect()->route('Tasks.show',$newTask->id)->withTask($newTask);
    }
    /**
     *voir une tâche choisie
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
      $t=Task::find($id);/*get task*/
      $p=Project::find($t->project_id);/*obtenir le projet lié à cette tâche*/
      $id_us=Task_User::where('task_id','=',$t->id)->get(['user_id']);/*obtenir l'employé lié à cette tâche*/
      $us=User::whereIn('id', $id_us)->get(['id','name','email','comment']);/*obtenir des informations sur l'employé de la table des utilisateurs*/
        return view('tasks.show')->withTask($t)->withProject($p)->withUsers($us);
    }
    /*
    * vérifier si un utilisateur existe déjà dans un tableau d'utilisateurs actuels
    * afin d'afficher uniquement les autres utilisateurs non liés à une tâche x
    */
    public function IDexist($id,$id_us){
      if(!in_array("id",$id_us)){/*utilisateur non actif*/
        return true;
      }else {
        return false;
      }
    }
    /**
     * Afficher le formulaire pour modifier la ressource spécifiée.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id){

      $task = Task::find($id);
      $task->project_title = Project::find($task->project_id)->title;
      //Affiche tous les projets sur l'entrée de sélection de projet
      $projects = Project::all();
      //Obtenir les employés actuels pour la tâche en cours
      //et d'autres employés (ne travaillant pas sur cette tâche),
      //Puis ajouter pour chaque employé son nombre de tâches
      $us_id = Task_User::where('task_id', '=', $task->id)->get(['user_id']);
        $currentEmployees = User::whereIn('id', $us_id)->get(['id', 'name']);
        $otherEmployees = User::whereNotIn('id', $us_id)
          ->where('role', 'like', 'EMPLOYEE')->get(['id', 'name']);
        foreach ($currentEmployees as $u) {
          $u->taskCount = Task_User::where('user_id',$u->id)->count();
        }
        foreach ($otherEmployees as $u) {
          $u->taskCount = Task_User::where('user_id',$u->id)->count();
        }
      return view('tasks.edit',compact('task', 'projects', 'currentEmployees', 'otherEmployees'));
    }
    /*
    *  État d'avancement / mise à jour des employés
    * et mettre à jour le commentaire si édité ..
    */
    public function updateProgress(Request $request, $id)
    {
      // dd(auth::user()->id);
          $task =Task::find($id);
          $t_u = Task_User::where('user_id','=',auth::user()->id)
                ->where('task_id','=',$task->id)->get();

          $task->comment=$request->comment;
          $task->progress=$request->progress;

          if($request->progress=="100" && $task->state=='IN_PROGRESS'){
            $task->state='FINISHED';

            $t_u->finishDate = date('Y-m-d H:i:s');
            $t_u->needCalculating = 1;
          }else{
            $task->state='IN_PROGRESS';

            $from = Carbon::parse($t_u->startDate);
            $to = Carbon::parse($t_u->finishDate);
            $t_u->hoursCount = $to->diffInMinutes($from);

            $t_u->startDate = date('Y-m-d H:i:s');
            $t_u->finishDate = null;
            $t_u->needCalculating = 0;
          }

          $task->save();
          $t_u->save();
          // if($t_u->needCalculating)//close task
          // dd();


          $task->title = 'task "' .$task->title.'" and it relations updated';
          \Notification::send(User::whereIn(Task_User::where('task_id','=',$task->id)
              ->get('user_id'))->get('id'),
              new \App\Notifications\UserNotification($task));

          flash('Tache Enregistré avec succé !')->success();
          return redirect()->route('Tasks.show',$task->id)->withTask($task);
    }

    /**
     * Tâche de mise à jour (changement des travailleurs actuels)
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
      $task=Task::find($id);

      $add = explode(",", $request->addTable);
      $rm = explode(",", $request->removeTable);
      // $aaa=Task_User::where('task_id', '=', $id)->get(['user_id']);
      if(count($add)>0 && $add[0]!="")
        foreach ($add as $u_id) {
          if(!Task_User::Contains($u_id, $id)){
            $employee=User::where('id', $u_id)->first();
            $employee->tasks()->attach($task);
          }
        }
      if(count($rm)>0 && $rm[0]!="")
        foreach ($rm as $u_id) {
          if(Task_User::Contains($u_id, $id)){
            $employee=User::where('id', $u_id)->first();
            $employee->tasks()->detach($task);
          }
        }
      //dd($add, $rm, $aaa, Task_User::where('task_id', '=', $id)->get(['user_id']));

      $task->title =$request->title;
      $task->limitDate =$request->limitDate;
      $task->priority =($request->priority_RadioBtn);
      $task->comment =$request->comment;

      if ($request->has('validation')) {
        $task->state = 'VALIDATED';
        $task->progress = 100;
      }else  $task->state = 'IN_PROGRESS';

      $task->save();


      $task->title = 'task "' .$task->title.'" updated';
      \Notification::send(
          User::whereIn('id', Task_User::where('task_id','=',$task->id)->get(['user_id']))->get(['id']),
          new \App\Notifications\UserNotification($task));

      flash('Tache Enregistré avec succé!')->success();
       return redirect()->route('Tasks.show',$task->id)->withTask($task);
    }
    /*
    * ajouter un employé à une tâche spécifique
    */
    public function addEmployee($id,$empid){
      $task=Task::find($id);
      $employee=User::where('id', $empid)->first();/*obtenir des informations sur l'employé de la table des utilisateurs*/
      $employee->tasks()->attach($task);
    }
    /*
    * ajouter une tâche à un projet spécifique
    */
    public function addTaskToPrj($id){

     /*--obtenir tous les employés libre--*/
     $employees=User::where('role','Like','EMPLOYEE')->get();
     $project=Project::find($id);/*current project*/

Livrable/Gestionnaire_de_Projets/resources/views/tasks/edit.blade.php
@extends('layouts.structure')

@section('csss')
	@parent
	<link href="{{ asset('css/bootstrap-datetimepicker.min.css') }}" rel="stylesheet">
	<link href="{{ asset('fonts/fontawesome/css/all.css') }}" rel="stylesheet">
	<style>
	table.hiden{
		display : none;
	}
	h2{ color: green; }
	</style>
@endsection

@section('content')

 <div class="page-header">
		<div class="form-group align-center">
			     	 <h2>Modifier la tâche </h2>  </div>
</div>
<br><br>
<form role="form" method="post" action="{{route('Tasks.update',$task->id)}}">
	<input type="hidden" name="_method" value="PUT">
	<input type="hidden" name="_token" value="{!! csrf_token() !!}">

	<div class="form-group ml-3">
		<label for="title" class="col-form-label">Sujet :</label>
		<input type="text" class="form-control col-7" name="title" value="{{$task->title}}">

	</div>

	<div class="form-group" style="position: absolute;right:10%;top:25%;">
      <input hidden class="form-check-input" style="float:right" type="checkbox" {{ (($task->state=='VALIDATED')?'checked':'') }} id="valide_state" name="validation">

      <i id="valIcon" class="fas fa-{{ (($task->state=='VALIDATED')?'check-circle text-success':'times-circle text-danger') }} fa-3x"
      	onclick="$(this).toggleClass('fa-{{ (($task->state=='VALIDATED')?'check-circle text-success':'times-circle text-danger') }}');
      			$(this).toggleClass('fa-{{ (($task->state!='VALIDATED')?'check-circle text-success':'times-circle text-danger') }}');
      			$('#valide_state').click();"></i>
      <label class="form-check-label " for="valide_state" >
        Validé
      </label>
    </div>
<div class="form-group form-inline mr-4" style="position: absolute;right:10%;top:50%;">
	<label class="col-form-label mr-3">Etat : </label>
	<div class="form-control" name="state">
	{{ ($task->state=='IN_PROGRESS')?'En-Cours':(($task->state=='FINISHED')?'Fini':(($task->state=='VALIDATED')?'Validé':'empty')) }}
	</div>
</div>


<!-- projet en cours -->
<div class="col-sm">
	<div class="form-row">
		<div class="form-group mr-4 col-4">
			<label class="col-form-label mr-3">Projet attaché :</label>
			<div class="form-control" name="project_id">{{$task->project_title}}</div>
		</div>
	</div>
</div>

	<div class="col">

	<div class="form-group">
		<label for="date_limite" class="col-md-3 col-form-label">Date Limite</label>
		<div class="input-group date form_datetime col-md-5" data-date="1979-09-16T05:25:07Z" data-date-format="yyyy-mm-dd hh:ii:ss" data-link-field="dtp_input1">
			<input id="limitDate" name="limitDate" class="form-control" size="16" type="text" value="{{$task->limitDate}}" readonly>
			<span class="input-group-append">
				<span class="input-group-text fa fa-times fa-lg"></span>
			</span>
			<span class="input-group-append">
				<span class="input-group-text fa fa-calendar-alt fa-lg"></span>
			</span>
		</div>
		<input type="hidden" id="dtp_input1" value=""/><br/>
	</div>

	<div class="form-group">
		<label class="col-form-label col-md-2 col-sm-12">Priorité:</label>
		<div class="form-check form-check-inline">
			<input class="form-check-input" type="radio" name="priority_RadioBtn" id="EnCours_RadioBtn" value="1" checked>
			<label class="form-check-label" for="level1_RadioBtn">Très urgent</label>
		</div>
		<div class="form-check form-check-inline">
			<input class="form-check-input" type="radio" name="priority_RadioBtn" id="Clos_RadioBtn" value="2">
			<label class="form-check-label" for="level2_RadioBtn">Urgent</label>
		</div>
		<div class="form-check form-check-inline">
			<input class="form-check-input" type="radio" name="priority_RadioBtn" id="EnCours_RadioBtn" value="3" checked>
			<label class="form-check-label" for="level3_RadioBtn">Normal</label>
	  </div>
		<div class="form-check form-check-inline">
			<input class="form-check-input" type="radio" name="priority_RadioBtn" id="Clos_RadioBtn" value="4">
			<label class="form-check-label" for="level4_RadioBtn">Peut attendre</label>
		</div>
	</div>
</div>

	<div class="form-group ml-3">
		<label class="col-form-label">Commentaire :</label>
		<textarea type="text" class="form-control col-7" name="comment" >{{$task->comment}}</textarea>
	</div><br>


	<div class="col-sm">
	<div class="form-row">
		<div hidden class="form-group form-inline mr-4">
			<label class="col-form-label mr-3">Progression : </label>
			<span id="rangeRes" name="progress" class="badge badge-success badge-pill float-right">{{$task->progress }}</span>
			<input type="hidden" name="progress" value="{{$task->progress }}">
		</div>
	</div>
	</div>

<!--Employés actuels -->
	<h3>Employés actuels:</h3>
	<table class="table table-bordered">
		<thead class="thead-light">
			<tr>
				<th scope="col">Nom</th>
				<th scope="col">Nombre de taches</th>
			</tr>
		</thead>
		<tbody id="currentWorkers">
			@foreach($currentEmployees as $ce)
			<tr id="row_CW_{{$ce->id}}">
				<th scope="row" class="">{{$ce->name}}</th>
				<th scope="row">
				   <span id="rangeRes" class="badge badge-success badge-pill float-center">
				   	{{ $ce->taskCount }}
				   </span>
		    	</th>
				<td class="sm-1">
							<input type="button" id="delete_btn{{$ce->id}}"
							onclick="removeFrom({{$ce->id}}, '{{$ce->name}}', {{$ce->taskCount}})"
							value="X" class="btn btn-danger">
        		</td>
			</tr>
			@endforeach

		</tbody>
	</table>
<br>
<!-- choisir un autre employé -->
	<h3>Autres employés:</h3>
	<table class="table table-bordered">
		<thead class="thead-light">
			<tr>
				<th scope="col">Nom</th>
				<th scope="col">Nombre de taches</th>
			</tr>
		</thead>
		<tbody id="otherEmployees">
			@foreach($otherEmployees as $oe)
			<tr id="row_OE_{{$oe->id}}">
				<th scope="row" class="">{{$oe->name}}</th>
				<th scope="row">
				   <span id="rangeRes" class="badge badge-success badge-pill float-center">
				   	{{ $oe->taskCount }}
				   </span>
		    	</th>
				<td class="sm-1">
							<input type="button" id="add_btn{{$oe->id}}"
							onclick="addTo({{$oe->id}}, '{{$oe->name}}', {{$oe->taskCount}})"
							value="+" class="btn btn-primary">
        		</td>
			</tr>
			@endforeach
		</tbody>
	</table>
		<!--Employés actuels -->
			<input type="hidden" id="addTable" name="addTable" value="">
		<!-- nouvel employé choisi  -->
			<input type="hidden" id="removeTable" name="removeTable" value="">

<button type="submit" name="submit" class="btn btn-success float-right mt-2"><i class="fas fa-save"></i> Enregistrer</button>

</form>
</div>
<hr><br>
@endsection


@section('jss')
	@parent
	<script src="{{ asset('js/bootstrap-datetimepicker.js') }}" type="text/javascript"></script>
	<script src="{{ asset('js/bootstrap-datetimepicker.fr.js') }}" type="text/javascript"></script>
	<script src="{{ asset('js/bootstrap-datetimepicker-setup.js') }}" type="text/javascript"></script>

	<script src="{{ asset('js/responsive_Task_User_Select.js') }}"  type="text/javascript"></script>
	<script src="{{ asset('js/validationEvent.js') }}"  type="text/javascript"></script>

@endsection

Livrable/Gestionnaire_de_Projets/resources/views/tasks/index.blade.php
@extends('layouts.structure')

@section('content')
<br>
<style> h2{ color: green; } </style>
 <div class="page-header">
		<div class="form-group align-center">
			     	 <h2>Tout les Taches </h2>  </div>
</div>
<br><br>
<table class="table table-responsive-lg  mr-2">
<thead class="thead-dark">
	<tr>
		<th scope="col">Projet relié</th>
		<th scope="col">Description</th>
		<th scope="col">Date debut</th>
		<th scope="col">Date limite</th>
		<th scope="col">Priorité</th>
		<th scope="col">Etat</th>
		<th scope="col">%</th>{{-- Déroulement --}}
		{{-- <th>commentaire</th> --}}
		<th scope="col"></th>
	</tr>
</thead>
<tbody>
	@foreach($ts as $t)
    @if($t->state=='FINISHED')
  	<tr class="table-info">
    @elseif($t->state=='VALIDATED')
    <tr class="table-success">
    @else
   	<tr>
		@endif

		<td>{{$t->project_title}}</td>
		<td><b>{{substr($t->title,0,15)}} {{(strlen($t->title)>15)?'...':'.' }}</b></td>
		<td>{{($t->d_d)?date('Y-m-d', strtotime($t->d_d)):'-'}}</td>
		<td><div style="color:blue;font-weight:bold">{{date('Y-m-d', strtotime($t->limitDate))}}</div></td>
	    <td>
	      @if($t->priority==1)
	        <div style="color:red;font-weight:bold">
	        @elseif($t->priority==2)
	          <div style="color:orange;font-weight:bold">
	          @elseif($t->priority==3)
	            <div style="color:yellow;font-weight:bold">
	              @else
	                <div style="color:green;font-weight:bold">
	      @endif
	    		@if($t->priority==1)
	          Très Urgent
	          @elseif($t->priority==2)
	             Urgent
	               @elseif($t->priority==3)
	                 Normal
	                  @else  Peut attendre
	        @endif
	      </div>
	    </td>
	  	<td>
	      <p class="card-text" name="state">
	      {{($t->state=='IN_PROGRESS')?'En-Cours':(($t->state=='FINISHED')?'Fini':(($t->state=='VALIDATED')?'Validée':'empty'))}}
	      </p>
	    </td>
		<td>{{$t->progress}}</td>
		<td scope="row">
			<form action="{{ route('Tasks.show',$t->id) }}" id="show{{$t->id}}" method="get"></form>
			<form action="{{ route('Tasks.edit',$t->id) }}" id="edit{{$t->id}}" method="get"></form>
			</form>
			<div class="btn-group" role="group" aria-label="Basic example">
				<i class="btn btn-success fa fa-eye text-dark" aria-hidden="true" onclick="$('#show{{$t->id}}').submit();"></i>
          @if($t->project_state!=0)<!--impossible d'éditer une tâche dans un projet clos -->
				<i class="btn btn-primary fas fa-pencil-alt text-dark" aria-hidden="true" onclick="$('#edit{{$t->id}}').submit();"></i>
          @else
          <div class="ml-1" style="font-style: italic; color:blue;"> Projet clos </div>
          @endif
		 </div>
		</td>
	</tr>
	@endforeach
</tbody>
</table>
@if(empty($ts))
  <div class="alert alert-secondary fade show align-center form-inline" role="alert">
     Aucune tache
  </div>
@endif
@endsection

Livrable/Gestionnaire_de_Projets/resources/views/tasks/mesTaches.blade.php
@extends('layouts.structure')

@section('content')

<style> h2{ color: green; } </style>
 <div class="page-header">
		<div class="form-group align-center">
			     	 <h2>Mes taches </h2>  </div>
</div>
<br><br>
<table class="table table-responsive-lg">
<thead class="thead-dark">
	<tr>
		<th scope="col">Description</th>
		<th scope="col">Projet</th>
		<th scope="col">Date limite</th>
		<th scope="col">Date fin</th>
		<th scope="col">Priorité</th>
		<th scope="col">Etat</th>
		<th scope="col">Déroulement %</th>
		{{-- <th>commentaire</th> --}}
		<th scope="col"></th>
	</tr>
</thead>
<tbody>

  @foreach($ts as $t)
    @if($t->state=='FINISHED')
  	<tr class="table-info">
    @elseif($t->state=='VALIDATED')
    <tr class="table-success">
    @else
   	<tr>
		@endif

		<td><b>{{$t->title}}</b></td>
		<td>{{$t->project_title}}</td>
		<td><div style="color:green;font-weight:bold">{{date('Y-m-d', strtotime($t->limitDate))}}</div></td>
		<td>{{($t->f_d)?date('Y-m-d', strtotime($t->f_d)):'-'}}</td>
    <td>
      @if($t->priority==1)
        <div style="color:red;font-weight:bold">
        @elseif($t->priority==2)
          <div style="color:orange;font-weight:bold">
          @elseif($t->priority==3)
            <div style="color:yellow;font-weight:bold">
              @else
                <div style="color:green;font-weight:bold">
      @endif
    		@if($t->priority==1)
          Très Urgent
          @elseif($t->priority==2)
             Urgent
               @elseif($t->priority==3)
                 Normal
                  @else  Peut attendre
        @endif
      </div>
    </td>
    <td>
      <p class="card-text" name="state">
      {{($t->state=='IN_PROGRESS')?'En-Cours':(($t->state=='FINISHED')?'Fini':(($t->state=='VALIDATED')?'Validée':'empty'))}}
      </p>
    </td>
		<td>{{$t->progress}}</td>
    <td scope="row">
      <form action="{{ route('Tasks.show',$t->id) }}" id="show{{$t->id}}" method="get"></form>
      <div class="btn-group" role="group" aria-label="Basic example">
        <i class="btn btn-success fa fa-eye text-dark" aria-hidden="true" onclick="$('#show{{$t->id}}').submit();"></i>
     </div>
    </td>
	</tr>
	@endforeach

</tbody>
</table>
@if(empty($ts))
  <div class="alert alert-secondary fade show align-center form-inline" role="alert">
     Aucune tâche
  </div>
@endif
@endsection